
function OnItem(item)
    if item == "i_duster" then
        x, y = GetMousePos()
        s01_0202_immortalized.spr_s01_0202_immortalized_dust_left.self:DrawImage(x-23, y-23, "spr_s01_0202_brush", 3)
        PlaySound("snd_s01_0202_clean")
        if s01_0202_immortalized.spr_s01_0202_immortalized_dust_left.self:GetAlphaContent(128) < 0.10  and s.s01_0202_immortalized_solved == 0 then
            Talk("com_s01_0202_03_hero")
            s.s01_0202_immortalized_left_ok = 1
            if s.s01_0202_immortalized_right_ok == 1 then
               s.s01_0202_immortalized_solved = 1 
               Delete("i_duster")
			   Talk("com_s01_0202_02_hero")
            end
        end
    end
end

-- Take("i_duster")